Subject: RE: [netatalk-admins] Sharing a CD-ROM drive with Netaltalk

From: Conrad Hagemans <[email-masked]>
Date: Thu, 19 Mar 1998 09:29:31 +0100

Thanks,

It works.

I compiled the loadable module hfs.o and loaded onto the system.

I mount the cdrom with:

	mount -t hfs -o fork=netatalk /dev/scd0 /cdrom

I hat to use the option command otherwise all the files where not recognised by the finder.

Conrad Hagemans
chagemans@livingstones

-----Original Message-----
From:	Geoff Ghose [SMTP:[email-masked]]
Sent:	Wednesday, March 18, 1998 4:31 PM
To:	[email-masked]
Subject:	Re: [netatalk-admins] Sharing a CD-ROM drive with Netaltalk

Conrad Hagemans wrote:

> Is there someone who has experiance with sharing a cd-rom player in a linux box with the
> apple macintosh users?
>
> How should this work?
>
> The cd-rom is mounted as /cdrom in the root directory.
>
> Please help.
>
> Conrad Hagemans
> [email-masked]

 Yes you need the hfs (Mac file system) module. See
http://www-sccm.stanford.edu/~hargrove/HFS/

Then you can mount like this (an excerpt from my fstab):

/dev/scd6       /mnt/cdrom/ToolboxAssist hfs    ro,afpd 1 1

and export via netatalk with

/cdrom/ToolboxAssist

in AppleVolumes.system
--
*************************************************************************
        Geoff Ghose
        Div. of Neuroscience            One Baylor Plaza S603
        Baylor College of Medicine      Houston, TX 77030
        (713) 798-3277                  Fax:(713) 798-3282

        Internet:  [email-masked]
                           [email-masked]
         http://focus.neusc.bcm.tmc.edu/~geoff

        PGP key: http://focus.neusc.bcm.tmc.edu/~geoff/pub-pgp-key

        And what is more, I agree with everything I have just said.
   - Piet Koornhoff